Emoji

class matterapi.endpoints.async_api.EmojiApi(client: matterapi.client.base.BaseClient, skip_response_parsing: bool = False)

Endpoints for creating, getting and interacting with emojis.

async autocomplete_emoji(*, name: str) matterapi.models.Emoji

Autocomplete custom emoji

Get a list of custom emoji with names starting with or matching the provided name. Returns a maximum of 100 results.

Permissions:

Must be authenticated.

Minimum Server Version:

4.7

Api Reference:

AutocompleteEmoji

async create_emoji(*, multipart_data: Union[matterapi.models.CreateEmojiMultipartData, Dict]) matterapi.models.Emoji

Create a custom emoji

Create a custom emoji for the team.

Permissions:

Must be authenticated.

Api Reference:

CreateEmoji

async delete_emoji(emoji_id: str) matterapi.models.Emoji

Delete a custom emoji

Delete a custom emoji.

Permissions:

Must have the manage_team or manage_system permissions or be the user who created the emoji.

Api Reference:

DeleteEmoji

async get_emoji(emoji_id: str) matterapi.models.Emoji

Get a custom emoji

Get some metadata for a custom emoji.

Permissions:

Must be authenticated.

Api Reference:

GetEmoji

async get_emoji_by_name(emoji_name: str) matterapi.models.Emoji

Get a custom emoji by name

Get some metadata for a custom emoji using its name.

Permissions:

Must be authenticated.

Minimum Server Version:

4.7

Api Reference:

GetEmojiByName

async get_emoji_image(emoji_id: str) None

Get custom emoji image

Get the image for a custom emoji.

Permissions:

Must be authenticated.

Api Reference:

GetEmojiImage

async get_emoji_list(*, page: Optional[int] = 0, per_page: Optional[int] = 60, sort: Optional[str] = '') matterapi.models.Emoji

Get a list of custom emoji

Get a page of metadata for custom emoji on the system. Since server version 4.7, sort using the sort query parameter.

Permissions:

Must be authenticated.

Api Reference:

GetEmojiList

async search_emoji(*, json_body: Union[matterapi.models.SearchEmojiJsonBody, Dict]) List[matterapi.models.Emoji]

Search custom emoji

Search for custom emoji by name based on search criteria provided in the request body. A maximum of 200 results are returned.

Permissions:

Must be authenticated.

Minimum Server Version:

4.7

Api Reference:

SearchEmoji